## ilmbase 2.1.0

=== CMakeLists.txt ===
# yue.nicholas@gmail.com
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT ( ilmbase )

ENABLE_TESTING()

SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "1")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}"
  )
set(CPACK_SOURCE_IGNORE_FILES
  "/.git*;/.cvs*;${CPACK_SOURCE_IGNORE_FILES}")
INCLUDE ( CPack )


# Allow the developer to select if Dynamic or Static libraries are built
OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" ON)

IF ( NOT WIN32)
  ADD_DEFINITIONS ( -pthread )
ENDIF ()

INCLUDE_DIRECTORIES ( Iex IexMath Imath Half config IlmThread IexTest ImathTest HalfTest )

MACRO(GET_TARGET_PROPERTY_WITH_DEFAULT _variable _target _property _default_value)
   GET_TARGET_PROPERTY (${_variable} ${_target} ${_property})
   IF (${_variable} MATCHES NOTFOUND)
     SET (${_variable} ${_default_value})
   ENDIF (${_variable} MATCHES NOTFOUND)
 ENDMACRO (GET_TARGET_PROPERTY_WITH_DEFAULT)

 MACRO(CREATE_LIBTOOL_FILE _target _install_DIR)
   GET_TARGET_PROPERTY(_target_location ${_target} LOCATION)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_static_lib ${_target} STATIC_LIB "")
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dependency_libs ${_target} LT_DEPENDENCY_LIBS "")
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_current ${_target} LT_VERSION_CURRENT 0)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_age ${_target} LT_VERSION_AGE 0)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_revision ${_target} LT_VERSION_REVISION 0)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_installed ${_target} LT_INSTALLED yes)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_shouldnotlink ${_target} LT_SHOULDNOTLINK yes)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dlopen ${_target} LT_DLOPEN "")
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dlpreopen ${_target} LT_DLPREOPEN "")
   GET_FILENAME_COMPONENT(_laname ${_target_location} NAME_WE)
   GET_FILENAME_COMPONENT(_soname ${_target_location} NAME)
   SET(_laname ${PROJECT_BINARY_DIR}/${_laname}.la)
   FILE(WRITE ${_laname} "# ${_laname} - a libtool library file\n")
   FILE(WRITE ${_laname} "# Generated by CMake ${CMAKE_VERSION} (like GNU libtool)\n")
   FILE(WRITE ${_laname} "\n# Please DO NOT delete this file!\n# It is necessary for linking the library with libtool.\n\n" )
   FILE(APPEND ${_laname} "# The name that we can dlopen(3).\n")
   FILE(APPEND ${_laname} "dlname='${_soname}'\n\n")
   FILE(APPEND ${_laname} "# Names of this library.\n")
   FILE(APPEND ${_laname} "library_names='${_soname}.${_target_current}.${_target_age}.${_target_revision} ${_soname}.${_target_current} ${_soname}'\n\n")
   FILE(APPEND ${_laname} "# The name of the static archive.\n")
   FILE(APPEND ${_laname} "old_library='${_target_static_lib}'\n\n")
   FILE(APPEND ${_laname} "# Libraries that this one depends upon.\n")
   FILE(APPEND ${_laname} "dependency_libs='${_target_dependency_libs}'\n\n")
   FILE(APPEND ${_laname} "# Names of additional weak libraries provided by this library\n")
   FILE(APPEND ${_laname} "weak_library_names=\n\n")
   FILE(APPEND ${_laname} "# Version information for ${_laname}.\n")
   FILE(APPEND ${_laname} "current=${_target_current}\n")
   FILE(APPEND ${_laname} "age=${_target_age}\n")
   FILE(APPEND ${_laname} "revision=${_target_revision}\n\n")
   FILE(APPEND ${_laname} "# Is this an already installed library?\n")
   FILE(APPEND ${_laname} "installed=${_target_installed}\n\n")
   FILE(APPEND ${_laname} "# Should we warn about portability when linking against -modules?\n")
   FILE(APPEND ${_laname} "shouldnotlink=${_target_shouldnotlink}\n\n")
   FILE(APPEND ${_laname} "# Files to dlopen/dlpreopen\n")
   FILE(APPEND ${_laname} "dlopen='${_target_dlopen}'\n")
   FILE(APPEND ${_laname} "dlpreopen='${_target_dlpreopen}'\n\n")
   FILE(APPEND ${_laname} "# Directory that this library needs to be installed in:\n")
   FILE(APPEND ${_laname} "libdir='${CMAKE_INSTALL_PREFIX}${_install_DIR}'\n")
   INSTALL( FILES ${_laname} DESTINATION ${CMAKE_INSTALL_PREFIX}${_install_DIR})
 ENDMACRO(CREATE_LIBTOOL_FILE)

SET (LIB_TYPE STATIC)
IF (BUILD_SHARED_LIBS)
  # User wants to build Dynamic Libraries, so change the LIB_TYPE variable to CMake keyword 'SHARED'
  SET (LIB_TYPE SHARED)
  IF (WIN32)
    ADD_DEFINITIONS(-DOPENEXR_DLL)
  ENDIF ()
ENDIF (BUILD_SHARED_LIBS)


ADD_SUBDIRECTORY ( Half )
ADD_SUBDIRECTORY ( Iex )
ADD_SUBDIRECTORY ( IexMath )
ADD_SUBDIRECTORY ( Imath )
ADD_SUBDIRECTORY ( IlmThread )

IF (WIN32)
  FILE ( COPY ${CMAKE_SOURCE_DIR}/config.windows/IlmBaseConfig.h
    DESTINATION ${CMAKE_SOURCE_DIR}/config
    )
ELSE ()
  IF (APPLE)
    FILE ( WRITE  ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define HAVE_PTHREAD 1\n" )
  ELSE ()
    FILE ( WRITE  ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define HAVE_PTHREAD 1\n" )
    FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define ILMBASE_HAVE_LARGE_STACK  1\n" )
    FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define HAVE_POSIX_SEMAPHORES 1\n" )
    FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define ILMBASE_HAVE_CONTROL_REGISTER_SUPPORT 1\n")
  ENDIF ()
ENDIF ()

FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define ILMBASE_INTERNAL_NAMESPACE_CUSTOM 1\n")
FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define IMATH_INTERNAL_NAMESPACE Imath_${CPACK_PACKAGE_VERSION_MAJOR}_${CPACK_PACKAGE_VERSION_MINOR}\n")
FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define IEX_INTERNAL_NAMESPACE Iex_${CPACK_PACKAGE_VERSION_MAJOR}_${CPACK_PACKAGE_VERSION_MINOR}\n")
FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define ILMTHREAD_INTERNAL_NAMESPACE IlmThread_${CPACK_PACKAGE_VERSION_MAJOR}_${CPACK_PACKAGE_VERSION_MINOR}\n")
FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define IMATH_NAMESPACE Imath\n")
FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define IEX_NAMESPACE Iex\n")
FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define ILMTHREAD_NAMESPACE IlmThread\n")
FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_STRING \"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}\"\n" )
FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define ILMBASE_PACKAGE_STRING \"IlmBase ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}\"\n" )
FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_MAJOR ${CPACK_PACKAGE_VERSION_MAJOR}\n" )
FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_MINOR ${CPACK_PACKAGE_VERSION_MINOR}\n" )
FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_PATCH ${CPACK_PACKAGE_VERSION_PATCH}\n" )

FILE ( APPEND ${CMAKE_SOURCE_DIR}/config/IlmBaseConfig.h "
// Version as a single hex number, e.g. 0x01000300 == 1.0.3
#define ILMBASE_VERSION_HEX ((ILMBASE_VERSION_MAJOR << 24) | \\
                             (ILMBASE_VERSION_MINOR << 16) | \\
                             (ILMBASE_VERSION_PATCH <<  8))
")


SET_TARGET_PROPERTIES ( Half
  PROPERTIES
  VERSION 11.0.0
  SOVERSION 11
  )
SET_TARGET_PROPERTIES ( Iex
  PROPERTIES
  VERSION 11.0.0
  SOVERSION 11
  OUTPUT_NAME "Iex-${CPACK_PACKAGE_VERSION_MAJOR}_${CPACK_PACKAGE_VERSION_MINOR}"
  )
SET_TARGET_PROPERTIES ( Imath
  PROPERTIES
  VERSION 11.0.0
  SOVERSION 11
  OUTPUT_NAME "Imath-${CPACK_PACKAGE_VERSION_MAJOR}_${CPACK_PACKAGE_VERSION_MINOR}"
  )
SET_TARGET_PROPERTIES ( IlmThread
  PROPERTIES
  VERSION 11.0.0
  SOVERSION 11
  OUTPUT_NAME "IlmThread-${CPACK_PACKAGE_VERSION_MAJOR}_${CPACK_PACKAGE_VERSION_MINOR}"
  )
SET_TARGET_PROPERTIES ( IexMath
  PROPERTIES
  VERSION 11.0.0
  SOVERSION 11
  OUTPUT_NAME "IexMath-${CPACK_PACKAGE_VERSION_MAJOR}_${CPACK_PACKAGE_VERSION_MINOR}"
  )

IF ( NOT WIN32 )
  CREATE_LIBTOOL_FILE ( Half /lib )
  CREATE_LIBTOOL_FILE ( Iex /lib )
  CREATE_LIBTOOL_FILE ( IexMath /lib )
  CREATE_LIBTOOL_FILE ( Imath /lib )
  CREATE_LIBTOOL_FILE ( IlmThread /lib )
ENDIF ()

# Tests

ADD_SUBDIRECTORY ( HalfTest )
ADD_SUBDIRECTORY ( IexTest )
ADD_SUBDIRECTORY ( ImathTest )

# Installation

INSTALL ( FILES 
  config/IlmBaseConfig.h
  DESTINATION
  include/OpenEXR

)

FILE ( WRITE ${CMAKE_BINARY_DIR}/IlmBase.pc "prefix=${CMAKE_INSTALL_PREFIX}\n" )
FILE ( APPEND ${CMAKE_BINARY_DIR}/IlmBase.pc "exec_prefix=\${prefix}
libdir=\${exec_prefix}/lib
includedir=\${prefix}/include
OpenEXR_includedir=\${prefix}/include/OpenEXR

Name: IlmBase
Description: Base math and exception libraries
Version: ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}
Libs: -L\${libdir} -lImath-${CPACK_PACKAGE_VERSION_MAJOR}_${CPACK_PACKAGE_VERSION_MINOR} -lIexMath-${CPACK_PACKAGE_VERSION_MAJOR}_${CPACK_PACKAGE_VERSION_MINOR} -lHalf -lIex-${CPACK_PACKAGE_VERSION_MAJOR}_${CPACK_PACKAGE_VERSION_MINOR} -lIlmThread-${CPACK_PACKAGE_VERSION_MAJOR}_${CPACK_PACKAGE_VERSION_MINOR} -pthreadCflags: -pthread -I\${OpenEXR_includedir}
")

INSTALL ( FILES
  ${CMAKE_BINARY_DIR}/IlmBase.pc
  DESTINATION
  lib/pkgconfig
)

## ilmbase 1.0.1

=== debian/changelog ===
ilmbase (1.0.1-6ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Dec 2013 14:35:18 +0100

ilmbase (1.0.1-6) unstable; urgency=low

  * Drop accidentally added, unused patches from debian.tar.gz.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Dec 2012 18:17:24 +0100

ilmbase (1.0.1-5) unstable; urgency=low

  * Convert to multi-arch. Closes: #695117
    + Use debhelper v9 compat, bump build-dep.
    + update *.install.
    + Add Pre-Depends: ${misc:Pre-Depends}.
    + Runtime library is Multi-Arch: same.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Dec 2012 12:17:34 +0100

ilmbase (1.0.1-4) unstable; urgency=low

  * Use 3.0 (quilt) source format.
  * Use dh $@ --with autotools_dev. Version autotools-dev b-d.
  * These two changes add support for build-arch target, fixing FTBFS.
    Closes: #666326
  * Change override_dh_auto_test target to invoke dh_auto_test.
  * Use 'dpkg-buildflags --export=configure' to get hardening-flags.
    Add required b-d on dpkg-dev (>= 1.16.1). (Please note, that neither
    stackprotector nor fortify seem to have any effect, according to
    hardening-check.)
  * Use -mieee on Alpha. (Closes: #458934)
  * Standards-Version 3.9.3
   + Do not refer to /usr/share/common-licenses/BSD anymore.
   + Use Breaks/Replaces instead of Conflicts/Replaces.
  * Add myself to uploaders, remove Cyril. (Thanks for you work!)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Apr 2012 10:56:14 +0200

ilmbase (1.0.1-3) unstable; urgency=low

  * ACK previous NMUs, thanks to everyone involved.
  * Adopt the package within pkg-phototools (Closes: #494878):
     - Thanks to Adeodato Simó for having taken care of it until now!
     - Set Maintainer to the group.
     - Set Uploaders to myself.
     - Replace Vcs-Bzr with Vcs-{Git,Browser}.
  * Switch to debhelper 7:
     - Bump debian/compat to 7.
     - Version the B-D on debhelper: >= 7.0.50 to allow the use of
       overrides.
     - Simplify debian/rules.
     - Specify some targets: build and clean to handle updating/cleaning
       config.{guess,sub}, as well as patch/unpatch handling.
     - Specify some overrides:
        - dh_auto_configure: to set PTHREAD_LIBS=-lpthread when
          configuring, to ensure proper linking against libpthread.
        - dh_auto_test: to make sure not to run the testsuite on arm, or
          when DEB_BUILD_OPTIONS contains “nocheck”.
        - dh_installdocs: to install AUTHORS NEWS and README files in both
          packages without having to list those files in .docs files.
        - dh_makeshlibs: to pass -V to dh_makeshlibs.
  * As a consequence, no longer perform an out-of-tree build (see
    #480577). The clean target seems to do its job anyway.
  * Switch to using quilt:
     - Add a B-D on it.
     - Move the patch to fix the testsuite on m68k to a proper patch:
        + debian/patches/10_fix_testsuite_for_m68k
  * Add ${misc:Depends} to the Depends of both packages.
  * Bump Standards-Version from 3.7.3 to 3.8.1 (no changes needed).
  * Update copyright notices for the packaging.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 13 Apr 2009 20:32:23 +0200

ilmbase (1.0.1-2+nmu2) unstable; urgency=high

  * Non-maintainer upload.
  * Apply workaround proposed by Andreas Metzler to correctly
    link to libpthread. (Closes: #492357)

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 11 Aug 2008 18:28:06 -0300

ilmbase (1.0.1-2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix NaN handling in the testsuite for m68k. (Closes: #478548)
  * Approved by maintainer per #478548.

 -- Stephen R. Marenka <smarenka@debian.org>  Thu, 29 May 2008 14:40:04 -0500

ilmbase (1.0.1-2) unstable; urgency=medium

  * Replace and Conflict libopenexr-dev (<< 1.6). (Closes: #451913)

  * Disable the testsuite in arm for now, see:
    http://lists.debian.org/debian-arm/2007/11/msg00004.html

  * Other changes:
    + bump Standard-Version to 3.7.3 (no changes needed).
    + use canonical URL in copyright and control (s/.org/.com/).

 -- Adeodato Simó <dato@net.com.org.es>  Sun, 17 Feb 2008 14:07:41 +0100

ilmbase (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #448883)

 -- Adeodato Simó <dato@net.com.org.es>  Thu, 01 Nov 2007 18:01:15 +0100

=== debian/control ===
Source: ilmbase
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>
Build-Depends: autotools-dev (>= 20100122.1), debhelper (>= 9),
 dpkg-dev (>= 1.16.1), dh-autoreconf
Standards-Version: 3.9.3
Homepage: http://www.openexr.com
Vcs-Git: git://git.debian.org/git/pkg-phototools/ilmbase.git
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/ilmbase.git

Package: libilmbase6
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: several utility libraries from ILM used by OpenEXR
 IlmBase are a set of utility libraries released by ILM, and used in
 their OpenEXR implementation. Included in this package you can find:
 .
  * libHalf: a class (Half) for manipulating "half" values (16-bit
    floating point format) as if they were a built-in C++ data type.
 .
  * libIlmThread: a thread abstraction library on top of pthreads.
 .
  * libImath: a math library with support for matrices, 2d- and
    3d-transformations, solvers for linear/quadratic/cubic equations,
    and more.
 .
  * libIex: an exception handling library.

Package: libilmbase-dev
Architecture: any
Section: libdevel
Depends: libilmbase6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libopenexr-dev (<< 1.6)
Breaks: libopenexr-dev (<< 1.6)
Description: development files for IlmBase
 This package provides the development files for IlmBase, a set of
 utility libraries relesaed by ILM and used by OpenEXR. Install this
 package if you want to compile a program that makes use of these
 libraries.

=== debian/rules ===
#! /usr/bin/make -f
#
# © 2009 Cyril Brulebois <kibi@debian.org>


##### VARIABLES
#

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
NO_MAKE_CHECK_ARCHS := arm

ifeq (,$(filter $(DEB_BUILD_ARCH),alpha))
	export DEB_CFLAGS_MAINT_APPEND=-Wall
	export DEB_CXXFLAGS_MAINT_APPEND=-Wall
else
	export DEB_CFLAGS_MAINT_APPEND=-Wall -mieee
	export DEB_CXXFLAGS_MAINT_APPEND=-Wall -mieee
endif

##### OVERRIDES
#

# Need to set an environment variable to make sure proper linking
# against libphtread happens:
override_dh_auto_configure:
	PTHREAD_LIBS=-lpthread \
		$(shell dpkg-buildflags --export=configure) \
		dh_auto_configure -v

# Need to disable the test suite on some architectures:
override_dh_auto_test:
ifeq (,$(filter $(DEB_BUILD_ARCH),$(NO_MAKE_CHECK_ARCHS)))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
endif
endif

# Need to install those in both packages:
override_dh_installdocs:
	dh_installdocs AUTHORS NEWS README

# Need to pass -V to dh_makeshlibs:
override_dh_makeshlibs:
	dh_makeshlibs -V

# Everything else:
%:
	dh $@ --with autoreconf

## ilmbase 1.0.1-3maemo1

=== debian/changelog ===
ilmbase (1.0.1-3maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen  <aapo.rantalainen@gmail.com>  Sat, 1 May 2010 18:02:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: ilmbase
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Andreas Metzler <ametzler@debian.org>
-Build-Depends: autotools-dev (>= 20100122.1), debhelper (>= 9),
- dpkg-dev (>= 1.16.1), dh-autoreconf
-Standards-Version: 3.9.3
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Build-Depends: autotools-dev, debhelper (>= 7.0.50), quilt
+Standards-Version: 3.8.1
 Homepage: http://www.openexr.com
 Vcs-Git: git://git.debian.org/git/pkg-phototools/ilmbase.git
 Vcs-Browser: http://git.debian.org/?p=pkg-phototools/ilmbase.git
 
 Package: libilmbase6
 Architecture: any
-Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: several utility libraries from ILM used by OpenEXR
  IlmBase are a set of utility libraries released by ILM, and used in
  their OpenEXR implementation. Included in this package you can find:
@@ -34,9 +30,8 @@
 Architecture: any
 Section: libdevel
 Depends: libilmbase6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Replaces: libopenexr-dev (<< 1.6)
-Breaks: libopenexr-dev (<< 1.6)
+Conflicts: libopenexr-dev (<< 1.6)
 Description: development files for IlmBase
  This package provides the development files for IlmBase, a set of
  utility libraries relesaed by ILM and used by OpenEXR. Install this

=== debian/rules ===
#! /usr/bin/make -f
#
# © 2009 Cyril Brulebois <kibi@debian.org>


##### INCLUDE
#

include /usr/share/quilt/quilt.make


##### VARIABLES
#

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
NO_MAKE_CHECK_ARCHS := arm
CFLAGS              := $(CFLAGS) -Wall


##### OVERRIDES
#

# Need to set an environment variable to make sure proper linking
# against libphtread happens:
override_dh_auto_configure:
	PTHREAD_LIBS=-lpthread dh_auto_configure

# Need to disable the test suite on some architectures (additionally,
# use 'make check' rather than 'make test'):
override_dh_auto_test:
ifeq (,$(filter $(DEB_BUILD_ARCH),$(NO_MAKE_CHECK_ARCHS)))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif
endif

# Need to install those in both packages:
override_dh_installdocs:
	dh_installdocs AUTHORS NEWS README

# Need to pass -V to dh_makeshlibs:
override_dh_makeshlibs:
	dh_makeshlibs -V


##### TARGETS
#

# Need to update config.{guess,sub}:
build: $(QUILT_STAMPFN) build-stamp
build-stamp:
	cp /usr/share/misc/config.guess .
	cp /usr/share/misc/config.sub   .
	dh build
	touch $@

# Need to remove them:
clean: unpatch
	dh $@
	rm -f config.guess config.sub

# Everything else:
%:
	dh $@

## ilmbase 2.1.0

=== debian/changelog ===
ilmbase (2.1.0-0irie1~precise1) precise; urgency=low

  * New upstream release
  * Bump so version from 6 to 11
  * debian/rules:
    - Don't run the testsuite for i386 architecture, see:
      https://github.com/openexr/openexr/issues/67#issuecomment-21169748
  * debian/copyright:
    - Use dep5 format

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Tue, 31 Dec 2013 14:14:02 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: ilmbase
 Section: libs
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: autotools-dev, debhelper (>= 7.0.50), quilt
-Standards-Version: 3.8.1
+Maintainer: IRIE Shinsuke <irieshinsuke@yahoo.co.jp>
+Build-Depends: autotools-dev (>= 20100122.1), debhelper (>= 9),
+ dpkg-dev (>= 1.16.1)
+Standards-Version: 3.9.3
 Homepage: http://www.openexr.com
-Vcs-Git: git://git.debian.org/git/pkg-phototools/ilmbase.git
-Vcs-Browser: http://git.debian.org/?p=pkg-phototools/ilmbase.git
 
-Package: libilmbase6
+Package: libilmbase11
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: several utility libraries from ILM used by OpenEXR
  IlmBase are a set of utility libraries released by ILM, and used in
  their OpenEXR implementation. Included in this package you can find:
@@ -29,9 +30,10 @@
 Package: libilmbase-dev
 Architecture: any
 Section: libdevel
-Depends: libilmbase6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libilmbase11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Replaces: libopenexr-dev (<< 1.6)
-Conflicts: libopenexr-dev (<< 1.6)
+Breaks: libopenexr-dev (<< 1.6)
 Description: development files for IlmBase
  This package provides the development files for IlmBase, a set of
  utility libraries relesaed by ILM and used by OpenEXR. Install this

=== debian/rules ===
#! /usr/bin/make -f
#
# © 2009 Cyril Brulebois <kibi@debian.org>


##### VARIABLES
#

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
NO_MAKE_CHECK_ARCHS := arm i386

ifeq (,$(filter $(DEB_BUILD_ARCH),alpha))
	export DEB_CFLAGS_MAINT_APPEND=-Wall
	export DEB_CXXFLAGS_MAINT_APPEND=-Wall
else
	export DEB_CFLAGS_MAINT_APPEND=-Wall -mieee
	export DEB_CXXFLAGS_MAINT_APPEND=-Wall -mieee
endif

##### OVERRIDES
#

# Need to set an environment variable to make sure proper linking
# against libphtread happens:
override_dh_auto_configure:
	PTHREAD_LIBS=-lpthread \
		$(shell dpkg-buildflags --export=configure) \
		dh_auto_configure -v

# Need to disable the test suite on some architectures:
override_dh_auto_test:
ifeq (,$(filter $(DEB_BUILD_ARCH),$(NO_MAKE_CHECK_ARCHS)))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
endif
endif

# Need to install those in both packages:
override_dh_installdocs:
	dh_installdocs AUTHORS NEWS README

# Need to pass -V to dh_makeshlibs:
override_dh_makeshlibs:
	dh_makeshlibs -V

# Everything else:
%:
	dh $@ --with autotools_dev

## ilmbase 2.2.0

=== debian/changelog ===
ilmbase (2.2.0-5) experimental; urgency=medium

  * debian/libilmbase12.symbols: symbols fixed for GCC5 (Closes: #793915)
    Thanks to Matthias Klose (doko) for the updated symbols.

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 06 Aug 2015 11:47:19 +0200

ilmbase (2.2.0-4) experimental; urgency=medium

  * Fix debian/libilmbase12.symbols on alpha and sparc

 -- Mathieu Malaterre <malat@debian.org>  Wed, 22 Jul 2015 15:33:02 +0200

ilmbase (2.2.0-3) experimental; urgency=medium

  * Fix debian/libilmbase12.symbols
    on amd64, x32, ppc64 and hppa

 -- Mathieu Malaterre <malat@debian.org>  Thu, 28 May 2015 21:59:29 +0200

ilmbase (2.2.0-2) experimental; urgency=medium

  * debian/libilmbase12.symbols: attempt to fix symbols
  * debian/overrides/libilmbase12: per-arch overrides dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 26 May 2015 10:17:11 +0200

ilmbase (2.2.0-1) experimental; urgency=medium

  * New upstream release (Closes: #785402)
    - debian/copyright: DEP-5 compliance added
    - debian/control: libilmbase7 => libilmbase12 bump
    - debian/overrides/: libilmbase7 => libilmbase12 bump
    - debian/libilmbase-dev.install: cosmetic update
    - debian/: libilmbase7 => libilmbase12 install bump
    - debian/: libilmbase7 => libilmbase12 symbols bump and update
    - debian/patches/: patchset updated against v2.2.0
      - 20_ucontext.patch dropped (applied upstream)
      - 21_fixftbfs_non-x86.diff dropped (applied upstream)
      - 30_license_headers.diff dropped (applied and updated upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 18 May 2015 15:22:27 +0200

ilmbase (1.0.3+dfsg-5) experimental; urgency=low

  * Update symbol file

 -- Mathieu Malaterre <malat@debian.org>  Sat, 09 May 2015 15:04:32 +0200

ilmbase (1.0.3+dfsg-4) experimental; urgency=medium

  * Update symbols file (pkgkde-symbolshelper + manual editing)
  * Check signature in uscan. Closes: #776558

 -- Mathieu Malaterre <malat@debian.org>  Thu, 12 Feb 2015 09:59:24 +0100

ilmbase (1.0.3+dfsg-3) experimental; urgency=low

  * Update d/watch to use the one with signature. Update: #776558
  * Fix clean rule
  * Import symbols file from version 1.0.1 & 1.0.3
  * Remove Andreas Metzler. Closes: #716766
    Thanks for your hard work !
  * Fix vcs-field-not-canonical, bump Std-Vers to 3.9.6
    No changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 30 Jan 2015 09:14:32 +0100

ilmbase (1.0.3+dfsg-2) experimental; urgency=low

  * Fix 20_ucontext.patch to not break building on AMD64.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 12 Jul 2013 15:17:26 +0200

ilmbase (1.0.3+dfsg-1) experimental; urgency=low

  * Fix typo "relesaed" in description. Closes: #698561
  * Unfuzz 10_fix_testsuite_for_m68k.
  * 20_ucontext.patch, copied from Fedora: Fix build on error on ix86 (32bit).
  * 21_fixftbfs_non-x86.diff, copied from Fedora: Fix build on error on non
    x86/amd64 archs.
  * Repackage tarball, deleting vc/.
  * Ignore testsuite error on i386.
  * Try re-enabling testsuite on arm.
  * soname was bumped.
  * Point watchfile to upstream download page.
  * 30_license_headers.diff - Four files in the distribution tarball wrongly
    still come with the non-free license headers. For clarification purposes
    pull the correct information from upstream GIT.
    <https://github.com/openexr/openexr/commit/301c13f7d9129e6e0d99e8f572de5fbc3d5bf8e3>

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Feb 2013 16:12:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: ilmbase
 Section: libs
 Priority: optional
-Maintainer: IRIE Shinsuke <irieshinsuke@yahoo.co.jp>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Mathieu Malaterre <malat@debian.org>, Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: autotools-dev (>= 20100122.1), debhelper (>= 9),
  dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://www.openexr.com
+Vcs-Git: git://anonscm.debian.org/pkg-phototools/ilmbase.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/ilmbase.git
 
-Package: libilmbase11
+Package: libilmbase12
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -30,12 +33,12 @@
 Package: libilmbase-dev
 Architecture: any
 Section: libdevel
-Depends: libilmbase11 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libilmbase12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Replaces: libopenexr-dev (<< 1.6)
 Breaks: libopenexr-dev (<< 1.6)
 Description: development files for IlmBase
  This package provides the development files for IlmBase, a set of
- utility libraries relesaed by ILM and used by OpenEXR. Install this
+ utility libraries released by ILM and used by OpenEXR. Install this
  package if you want to compile a program that makes use of these
  libraries.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://download.savannah.gnu.org/releases/openexr/ilmbase-([\d\.]+)\.tar\.gz

## ilmbase 2.2.1

=== CMakeLists.txt ===
# yue.nicholas@gmail.com
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT ( ilmbase )

SET(ILMBASE_VERSION_MAJOR "2")
SET(ILMBASE_VERSION_MINOR "2")
SET(ILMBASE_VERSION_PATCH "1")

SET(ILMBASE_VERSION ${ILMBASE_VERSION_MAJOR}.${ILMBASE_VERSION_MINOR}.${ILMBASE_VERSION_PATCH})
SET(ILMBASE_VERSION_API ${ILMBASE_VERSION_MAJOR}_${ILMBASE_VERSION_MINOR})


ENABLE_TESTING()

SET(CPACK_PACKAGE_VERSION_MAJOR "${ILMBASE_VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${ILMBASE_VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${ILMBASE_VERSION_PATCH}")
SET(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${ILMBASE_VERSION}"
  )
set(CPACK_SOURCE_IGNORE_FILES
  "/.git*;/.cvs*;${CPACK_SOURCE_IGNORE_FILES}")
INCLUDE ( CPack )


# Allow the developer to select if Dynamic or Static libraries are built
OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" ON)

# Allow the developer to select if Dynamic or Static libraries are built
OPTION (NAMESPACE_VERSIONING "Namespace Versioning" ON)

# Setup osx rpathing
SET (CMAKE_MACOSX_RPATH 1)
SET (BUILD_WITH_INSTALL_RPATH 1)

IF ( NOT WIN32)
  ADD_DEFINITIONS ( -pthread )
ENDIF ()

INCLUDE_DIRECTORIES ( Iex IexMath Imath Half ${CMAKE_CURRENT_BINARY_DIR}/config IlmThread IexTest ImathTest HalfTest )

# also add the current directory to pick up the autogenerated headers
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

MACRO(GET_TARGET_PROPERTY_WITH_DEFAULT _variable _target _property _default_value)
   GET_TARGET_PROPERTY (${_variable} ${_target} ${_property})
   IF (${_variable} MATCHES NOTFOUND)
     SET (${_variable} ${_default_value})
   ENDIF (${_variable} MATCHES NOTFOUND)
 ENDMACRO (GET_TARGET_PROPERTY_WITH_DEFAULT)

 MACRO(CREATE_LIBTOOL_FILE _target _install_DIR)
   GET_TARGET_PROPERTY(_target_location ${_target} LOCATION)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_static_lib ${_target} STATIC_LIB "")
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dependency_libs ${_target} LT_DEPENDENCY_LIBS "")
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_current ${_target} LT_VERSION_CURRENT 0)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_age ${_target} LT_VERSION_AGE 0)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_revision ${_target} LT_VERSION_REVISION 0)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_installed ${_target} LT_INSTALLED yes)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_shouldnotlink ${_target} LT_SHOULDNOTLINK yes)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dlopen ${_target} LT_DLOPEN "")
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dlpreopen ${_target} LT_DLPREOPEN "")
   GET_FILENAME_COMPONENT(_laname ${_target_location} NAME_WE)
   GET_FILENAME_COMPONENT(_soname ${_target_location} NAME)
   SET(_laname ${PROJECT_BINARY_DIR}/${_laname}.la)
   FILE(WRITE ${_laname} "# ${_laname} - a libtool library file\n")
   FILE(APPEND ${_laname} "# Generated by CMake ${CMAKE_VERSION} (like GNU libtool)\n")
   FILE(APPEND ${_laname} "\n# Please DO NOT delete this file!\n# It is necessary for linking the library with libtool.\n\n" )
   FILE(APPEND ${_laname} "# The name that we can dlopen(3).\n")
   FILE(APPEND ${_laname} "dlname='${_soname}'\n\n")
   FILE(APPEND ${_laname} "# Names of this library.\n")
   FILE(APPEND ${_laname} "library_names='${_soname}.${_target_current}.${_target_age}.${_target_revision} ${_soname}.${_target_current} ${_soname}'\n\n")
   FILE(APPEND ${_laname} "# The name of the static archive.\n")
   FILE(APPEND ${_laname} "old_library='${_target_static_lib}'\n\n")
   FILE(APPEND ${_laname} "# Libraries that this one depends upon.\n")
   FILE(APPEND ${_laname} "dependency_libs='${_target_dependency_libs}'\n\n")
   FILE(APPEND ${_laname} "# Names of additional weak libraries provided by this library\n")
   FILE(APPEND ${_laname} "weak_library_names=\n\n")
   FILE(APPEND ${_laname} "# Version information for ${_laname}.\n")
   FILE(APPEND ${_laname} "current=${_target_current}\n")
   FILE(APPEND ${_laname} "age=${_target_age}\n")
   FILE(APPEND ${_laname} "revision=${_target_revision}\n\n")
   FILE(APPEND ${_laname} "# Is this an already installed library?\n")
   FILE(APPEND ${_laname} "installed=${_target_installed}\n\n")
   FILE(APPEND ${_laname} "# Should we warn about portability when linking against -modules?\n")
   FILE(APPEND ${_laname} "shouldnotlink=${_target_shouldnotlink}\n\n")
   FILE(APPEND ${_laname} "# Files to dlopen/dlpreopen\n")
   FILE(APPEND ${_laname} "dlopen='${_target_dlopen}'\n")
   FILE(APPEND ${_laname} "dlpreopen='${_target_dlpreopen}'\n\n")
   FILE(APPEND ${_laname} "# Directory that this library needs to be installed in:\n")
   FILE(APPEND ${_laname} "libdir='${CMAKE_INSTALL_PREFIX}${_install_DIR}'\n")
   INSTALL( FILES ${_laname} DESTINATION ${CMAKE_INSTALL_PREFIX}${_install_DIR})
 ENDMACRO(CREATE_LIBTOOL_FILE)

SET (LIB_TYPE STATIC)
IF (BUILD_SHARED_LIBS)
  # User wants to build Dynamic Libraries, so change the LIB_TYPE variable to CMake keyword 'SHARED'
  SET (LIB_TYPE SHARED)
  IF (WIN32)
    ADD_DEFINITIONS(-DOPENEXR_DLL)
  ENDIF ()
ENDIF (BUILD_SHARED_LIBS)


ADD_SUBDIRECTORY ( Half )
ADD_SUBDIRECTORY ( Iex )
ADD_SUBDIRECTORY ( IexMath )
ADD_SUBDIRECTORY ( Imath )
ADD_SUBDIRECTORY ( IlmThread )

IF (WIN32)
  FILE ( COPY ${CMAKE_CURRENT_SOURCE_DIR}/config.windows/IlmBaseConfig.h
    DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/config
    )
ELSE ()
  IF (APPLE)
    FILE ( WRITE  ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define HAVE_PTHREAD 1\n" )
  ELSE ()
    FILE ( WRITE  ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define HAVE_PTHREAD 1\n" )
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_HAVE_LARGE_STACK  1\n" )
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define HAVE_POSIX_SEMAPHORES 1\n" )
    FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_HAVE_CONTROL_REGISTER_SUPPORT 1\n")
  ENDIF ()
ENDIF ()

IF (NAMESPACE_VERSIONING)
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_INTERNAL_NAMESPACE_CUSTOM 1\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IMATH_INTERNAL_NAMESPACE Imath_${ILMBASE_VERSION_API}\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IEX_INTERNAL_NAMESPACE Iex_${ILMBASE_VERSION_API}\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMTHREAD_INTERNAL_NAMESPACE IlmThread_${ILMBASE_VERSION_API}\n")
ELSE ()
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_INTERNAL_NAMESPACE_CUSTOM 0\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IMATH_INTERNAL_NAMESPACE Imath\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IEX_INTERNAL_NAMESPACE Iex\n")
  FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMTHREAD_INTERNAL_NAMESPACE IlmThread\n")
ENDIF ()

FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IMATH_NAMESPACE Imath\n")
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define IEX_NAMESPACE Iex\n")
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMTHREAD_NAMESPACE IlmThread\n")
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_STRING \"${ILMBASE_VERSION}\"\n" )
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_PACKAGE_STRING \"IlmBase ${ILMBASE_VERSION}\"\n" )
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_MAJOR ${ILMBASE_VERSION_MAJOR}\n" )
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_MINOR ${ILMBASE_VERSION_MINOR}\n" )
FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "#define ILMBASE_VERSION_PATCH ${ILMBASE_VERSION_PATCH}\n" )

FILE ( APPEND ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h "
// Version as a single hex number, e.g. 0x01000300 == 1.0.3
#define ILMBASE_VERSION_HEX ((ILMBASE_VERSION_MAJOR << 24) | \\
                             (ILMBASE_VERSION_MINOR << 16) | \\
                             (ILMBASE_VERSION_PATCH <<  8))
")

SET (ILMBASE_LIBSUFFIX "")
IF (NAMESPACE_VERSIONING)
  SET ( ILMBASE_LIBSUFFIX "-${ILMBASE_VERSION_API}" )
ENDIF ()

SET_TARGET_PROPERTIES ( Half
  PROPERTIES
  VERSION 23.0.0
  SOVERSION 23
  )
SET_TARGET_PROPERTIES ( Iex
  PROPERTIES
  VERSION 23.0.0
  SOVERSION 23
  OUTPUT_NAME "Iex${ILMBASE_LIBSUFFIX}"
  )
SET_TARGET_PROPERTIES ( Imath
  PROPERTIES
  VERSION 23.0.0
  SOVERSION 23
  OUTPUT_NAME "Imath${ILMBASE_LIBSUFFIX}"
  )
SET_TARGET_PROPERTIES ( IlmThread
  PROPERTIES
  VERSION 23.0.0
  SOVERSION 23
  OUTPUT_NAME "IlmThread${ILMBASE_LIBSUFFIX}"
  )
SET_TARGET_PROPERTIES ( IexMath
  PROPERTIES
  VERSION 23.0.0
  SOVERSION 23
  OUTPUT_NAME "IexMath${ILMBASE_LIBSUFFIX}"
  )

IF ( NOT WIN32 )
  CREATE_LIBTOOL_FILE ( Half /lib )
  CREATE_LIBTOOL_FILE ( Iex /lib )
  CREATE_LIBTOOL_FILE ( IexMath /lib )
  CREATE_LIBTOOL_FILE ( Imath /lib )
  CREATE_LIBTOOL_FILE ( IlmThread /lib )
ENDIF ()

# Tests

ADD_SUBDIRECTORY ( HalfTest )
ADD_SUBDIRECTORY ( IexTest )
ADD_SUBDIRECTORY ( ImathTest )

# Installation

INSTALL ( FILES 
  ${CMAKE_CURRENT_BINARY_DIR}/config/IlmBaseConfig.h
  DESTINATION
  include/OpenEXR

)

FILE ( WRITE ${CMAKE_BINARY_DIR}/IlmBase.pc "prefix=${CMAKE_INSTALL_PREFIX}\n" )
FILE ( APPEND ${CMAKE_BINARY_DIR}/IlmBase.pc "exec_prefix=\${prefix}
libdir=\${exec_prefix}/lib
includedir=\${prefix}/include
OpenEXR_includedir=\${prefix}/include/OpenEXR

Name: IlmBase
Description: Base math and exception libraries
Version: ${ILMBASE_VERSION}
Libs: -L\${libdir} -lImath${ILMBASE_LIBSUFFIX} -lIexMath${ILMBASE_LIBSUFFIX} -lHalf -lIex${ILMBASE_LIBSUFFIX} -lIlmThread${ILMBASE_LIBSUFFIX} -pthread
Cflags: -pthread -I\${OpenEXR_includedir}
")

INSTALL ( FILES
  ${CMAKE_BINARY_DIR}/IlmBase.pc
  DESTINATION
  lib/pkgconfig
)

=== debian/changelog ===
ilmbase (2.2.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: S-V bump 4.1.2 -> 4.1.3 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 05 Jan 2018 21:15:08 +0100

ilmbase (2.2.1-1) experimental; urgency=medium

  * New upstream release
    - debian/: SONAME bump "12" -> "23"
  * debian/control: S-V bump 3.9.8 -> 4.1.2 (no changes needed)
  * debian/: autotools-dev usage dropped
  * debian/watch: https:// usage and gpg signature fixed
  * debian/patches/: patchset update
    - bug843594.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 27 Dec 2017 22:01:41 +0100

ilmbase (2.2.0-12) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Proprietary licence in halfExport.h Closes: #843594

  [ Matteo F. Vescovi ]
  * debian/control: S-V bump 3.9.7 -> 3.9.8 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 23 Jan 2017 14:31:15 +0100

ilmbase (2.2.0-11) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Fix compilation on hurd (really!). Closes: #788102

  [ Matteo F. Vescovi ]
  * debian/control: S-V bump 3.9.6 -> 3.9.7 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 27 Feb 2016 13:30:59 +0100

ilmbase (2.2.0-10) unstable; urgency=medium

  * Remove symbols file. Closes: #815633
  * Fix kFreeBSD compilation. Closes: #788102
  * Fix FTBFS on many 32-bit arches. Closes: #815712

 -- Mathieu Malaterre <malat@debian.org>  Thu, 25 Feb 2016 21:18:13 +0100

ilmbase (2.2.0-9) unstable; urgency=medium

  [ Samuel Thibault ]
  * fatal error: asm/sigcontext.h: No such file or directory. Closes: #788102
  * Here is also a symbol fix for hurd-i386.

  [ Bart Martens ]
  * mutiple updates

  [ Mathieu Malaterre ]
  * Update symbol file for sparc64
  * Fix symbol file on ppc64el

 -- Mathieu Malaterre <malat@debian.org>  Mon, 22 Feb 2016 14:58:05 +0100

ilmbase (2.2.0-8) unstable; urgency=medium

  * Upload to unstable
  * debian/control: git:// -> https:// for Vcs-Git

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 01 Feb 2016 11:09:23 +0100

ilmbase (2.2.0-7) experimental; urgency=medium

  * Revert "Fix compilation on kFreeBSD. Closes: #788102"
  * Fix symbol on sparc64 arch

 -- Mathieu Malaterre <malat@debian.org>  Sat, 02 Jan 2016 14:04:17 +0100

ilmbase (2.2.0-6) experimental; urgency=medium

  * Fix compilation on kFreeBSD (Closes: #788102)
  * Fix symbol file on mips64el

 -- Mathieu Malaterre <malat@debian.org>  Mon, 09 Nov 2015 14:23:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,25 @@
 Section: libs
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>, Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: autotools-dev (>= 20100122.1), debhelper (>= 9),
+Uploaders:
+ Mathieu Malaterre <malat@debian.org>,
+ Matteo F. Vescovi <mfv@debian.org>
+Build-Depends:
+ debhelper (>= 9),
  dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Homepage: http://www.openexr.com
-Vcs-Git: git://anonscm.debian.org/pkg-phototools/ilmbase.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/ilmbase.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/ilmbase.git
 
-Package: libilmbase12
+Package: libilmbase23
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Description: several utility libraries from ILM used by OpenEXR
  IlmBase are a set of utility libraries released by ILM, and used in
  their OpenEXR implementation. Included in this package you can find:
@@ -33,8 +39,12 @@
 Package: libilmbase-dev
 Architecture: any
 Section: libdevel
-Depends: libilmbase12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libilmbase23 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Replaces: libopenexr-dev (<< 1.6)
 Breaks: libopenexr-dev (<< 1.6)
 Description: development files for IlmBase

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 #
 
 DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-NO_MAKE_CHECK_ARCHS := arm i386
+#NO_MAKE_CHECK_ARCHS := arm
+NO_FAIL_ON_TESTSUITE_ERROR := i386
 
 ifeq (,$(filter $(DEB_BUILD_ARCH),alpha))
 	export DEB_CFLAGS_MAINT_APPEND=-Wall
@@ -31,7 +32,11 @@
 override_dh_auto_test:
 ifeq (,$(filter $(DEB_BUILD_ARCH),$(NO_MAKE_CHECK_ARCHS)))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test
+ifeq (,$(filter $(DEB_BUILD_ARCH),$(NO_FAIL_ON_TESTSUITE_ERROR)))
+	dh_auto_test -v
+else
+	dh_auto_test -v || echo TESTSUITE FAILED, continuing anyway.
+endif
 endif
 endif
 
@@ -43,6 +48,15 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -V
 
+override_dh_clean:
+	dh_clean */Makefile
+	dh_clean IlmBase.pc
+	dh_clean Makefile
+	dh_clean config.log
+	dh_clean config.status
+	dh_clean config/stamp-h1
+	dh_clean libtool
+
 # Everything else:
 %:
-	dh $@ --with autotools_dev
+	dh $@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://www.openexr.com/downloads.html \
(?:|.*/)ilmbase(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
